Bug 1374510 - Review Request: lv2-ir-plugins - LV2 Plugin: low-latency, realtime, high performance signal convolver
Summary: Review Request: lv2-ir-plugins - LV2 Plugin: low-latency, realtime, high perf...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 788717
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-08 21:35 UTC by Guido Aulisi
Modified: 2017-02-07 17:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 17:41:06 UTC
fale: fedora-review+


Attachments (Terms of Use)

Description Guido Aulisi 2016-09-08 21:35:16 UTC
Spec URL: http://www.sentolavita.com/pkgs/lv2-ir-plugins.spec
SRPM URL: http://www.sentolavita.com/pkgs/lv2-ir-plugins-1.3.2-1.fc24.src.rpm

Description: IR is a low-latency, realtime, high performance signal
convolver especially for creating reverb effects. Supports impulse
responses with 1, 2 or 4 channels, in any soundfile format supported
by libsndfile.

Fedora Account System Username: tartina

Link to successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15543150

I need a sponsor

Comment 1 Guido Aulisi 2016-09-08 21:44:56 UTC
There was an old review request for this package, see https://bugzilla.redhat.com/show_bug.cgi?id=788717 it was closed because of f16 eol.

Comment 2 Michael Schwendt 2016-09-13 21:48:40 UTC
It's been a mistake to file the bug 788717 review request for F16. All reviews are filed for "Version: Rawhide". It has been like that forever and hasn't changed.

Comment 3 Guido Aulisi 2016-11-24 14:28:00 UTC
Spec URL: http://www.sentolavita.com/pkgs/lv2-ir-plugins.spec
SRPM URL: http://www.sentolavita.com/pkgs/lv2-ir-plugins-1.3.2-2.fc24.src.rpm

Modified real time priority to match Jack's default value
Minor fixes

Comment 4 Jared Wallace 2016-11-30 21:40:56 UTC
*** This is an unofficial review ***


Quick take:

1) You don't need to specify gcc as a build dependency
2) The incorrect-fsf-address errors from rpmlint should be reported upstream.
3) There are two unversioned libraries included - pretty sure these ought to be moved to a devel package based on:
https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries
but I could be mistaken.
4) Fedora-review showed a build failure - the koji build you linked to is for Fedora 24. You have to make sure it builds on 25 and Rawhide as well, and speaking from experience, that can be a fun journey.

I'd say work on those, and then we'll see where we stand. The SPEC file looks good btw. You can review the stuff below if you want as well.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1
     or later)", "LGPL (v2 or later) (with incorrect FSF address)",
     "Unknown or generated". 4 files have unknown license. Detailed output
     of licensecheck in /home/jwallace/1374510-lv2-ir-
     plugins/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lv2-ir-
     plugins-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.21 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.21
INFO: Mock Version: 1.2.21
Finish: chroot init
INFO: installing package(s): /home/jwallace/1374510-lv2-ir-plugins/results/lv2-ir-plugins-debuginfo-1.3.2-2.fc26.x86_64.rpm /home/jwallace/1374510-lv2-ir-plugins/results/lv2-ir-plugins-1.3.2-2.fc26.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26 --disableplugin=local --setopt=deltarpm=false install /home/jwallace/1374510-lv2-ir-plugins/results/lv2-ir-plugins-debuginfo-1.3.2-2.fc26.x86_64.rpm /home/jwallace/1374510-lv2-ir-plugins/results/lv2-ir-plugins-1.3.2-2.fc26.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: lv2-ir-plugins-1.3.2-2.fc26.x86_64.rpm
          lv2-ir-plugins-debuginfo-1.3.2-2.fc26.x86_64.rpm
          lv2-ir-plugins-1.3.2-2.fc26.src.rpm
lv2-ir-plugins.x86_64: W: spelling-error Summary(en_US) realtime -> mealtime, real time, real-time
lv2-ir-plugins.x86_64: W: spelling-error Summary(en_US) convolver -> converter, convener, converse
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US convolver -> converter, convener, converse
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US reverb -> revere, revers, revert
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US soundfile -> sound file, sound-file, soundless
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US libsndfile -> landfill
lv2-ir-plugins.x86_64: E: incorrect-fsf-address /usr/share/licenses/lv2-ir-plugins/COPYING
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir.h
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir_modeind.cc
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir_modeind.h
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir_utils.h
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir_meter.cc
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir_gui.cc
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir_wavedisplay.cc
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir_utils.cc
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir_meter.h
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir_wavedisplay.h
lv2-ir-plugins-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ir.lv2-1.3.2/ir.cc
lv2-ir-plugins.src: W: spelling-error Summary(en_US) realtime -> mealtime, real time, real-time
lv2-ir-plugins.src: W: spelling-error Summary(en_US) convolver -> converter, convener, converse
lv2-ir-plugins.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
lv2-ir-plugins.src: W: spelling-error %description -l en_US convolver -> converter, convener, converse
lv2-ir-plugins.src: W: spelling-error %description -l en_US reverb -> revere, revers, revert
lv2-ir-plugins.src: W: spelling-error %description -l en_US soundfile -> sound file, sound-file, soundless
lv2-ir-plugins.src: W: spelling-error %description -l en_US libsndfile -> landfill
3 packages and 0 specfiles checked; 12 errors, 14 warnings.




Requires
--------
lv2-ir-plugins (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsamplerate.so.0()(64bit)
    libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libzita-convolver.so.3()(64bit)
    lv2
    rtld(GNU_HASH)

lv2-ir-plugins-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
lv2-ir-plugins:
    lv2-ir-plugins
    lv2-ir-plugins(x86-64)

lv2-ir-plugins-debuginfo:
    lv2-ir-plugins-debuginfo
    lv2-ir-plugins-debuginfo(x86-64)



Unversioned so-files
--------------------
lv2-ir-plugins: /usr/lib64/lv2/ir.lv2/ir.so
lv2-ir-plugins: /usr/lib64/lv2/ir.lv2/ir_gui.so

Source checksums
----------------
https://github.com/tomszilagyi/ir.lv2/archive/1.3.2.tar.gz#/ir.lv2-1.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : e17cd9be6d648de9b38e4a36d69394a55e3a776e5d7d99ab51d8e0c7c8ff4a6f
  CHECKSUM(SHA256) upstream package : e17cd9be6d648de9b38e4a36d69394a55e3a776e5d7d99ab51d8e0c7c8ff4a6f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1374510 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Guido Aulisi 2016-12-01 12:37:48 UTC
Spec URL: http://www.sentolavita.com/pkgs/lv2-ir-plugins.spec
SRPM URL: http://www.sentolavita.com/pkgs/lv2-ir-plugins-1.3.2-3.fc24.src.rpm

Link to successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16693743

Thanks for your review.

1. According to this wiki http://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B we have to specify BR for gcc or g++, I also asked on IRC and they confirmed that.

2. I have patched the incorrect FSF address and I made a pull request on github to notify upstream of this problem (https://github.com/tomszilagyi/ir.lv2/pull/1)

3. This is a plugin, so I think versioning is not required, see Packaging Guidelines where it says (so this is not needed for plugins, drivers, etc.), no other LV2 plugins use versioned library sonames, see for example http://pkgs.fedoraproject.org/cgit/rpms/lv2-mdaEPiano.git/tree/lv2-mdaEPiano.spec, and no ldconfig is called after installation.

4. I made another koji build and it succeeded, see the link above, if you have problems please post the build logs somewhere so I can have a look.

Comment 6 Jared Wallace 2016-12-01 20:20:49 UTC
1. You appear to be right :o Learn something new every day.
2. Awesome
3. Sounds good
4. If it builds on koji, that's sufficient for me. Not sure why Fedora-review is failing, but it's almost certainly the tool and not the package.

I don't see any further issues. Good luck :)

Comment 7 Guido Aulisi 2016-12-06 13:18:37 UTC
Upstream has merged the incorrect FSF address patch (https://github.com/tomszilagyi/ir.lv2/pull/1), so the next release will correctly report the FSF address.

Comment 8 Guido Aulisi 2016-12-29 23:03:20 UTC
Spec URL: http://www.sentolavita.com/pkgs/lv2-ir-plugins.spec
SRPM URL: http://www.sentolavita.com/pkgs/lv2-ir-plugins-1.3.3-1.fc25.src.rpm

Upgrade to version 1.3.3
Use hardened LDFLAGS

Link to successful koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=17109083

Comment 9 Fabio Alessandro Locati 2017-01-23 09:39:51 UTC
Nice work Guido!



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "LGPL (v2 or later)", "GPL (v2 or
     later)", "Unknown or generated". 7 files have unknown license.
     Detailed output of licensecheck in
     /home/fale/Fedora/02_live/1374510-lv2-ir-plugins/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lv2-ir-
     plugins-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lv2-ir-plugins-1.3.3-1.fc25.x86_64.rpm
          lv2-ir-plugins-debuginfo-1.3.3-1.fc25.x86_64.rpm
          lv2-ir-plugins-1.3.3-1.fc25.src.rpm
lv2-ir-plugins.x86_64: W: spelling-error Summary(en_US) convolver -> converter, convener, converse
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US convolver -> converter, convener, converse
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US reverb -> revere, revers, revert
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US libsndfile -> landfill
lv2-ir-plugins.src: W: spelling-error Summary(en_US) convolver -> converter, convener, converse
lv2-ir-plugins.src: W: spelling-error %description -l en_US convolver -> converter, convener, converse
lv2-ir-plugins.src: W: spelling-error %description -l en_US reverb -> revere, revers, revert
lv2-ir-plugins.src: W: spelling-error %description -l en_US libsndfile -> landfill
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: lv2-ir-plugins-debuginfo-1.3.3-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
lv2-ir-plugins.x86_64: W: spelling-error Summary(en_US) convolver -> converter, convener, converse
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US convolver -> converter, convener, converse
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US reverb -> revere, revers, revert
lv2-ir-plugins.x86_64: W: spelling-error %description -l en_US libsndfile -> landfill
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
lv2-ir-plugins (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsamplerate.so.0()(64bit)
    libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libzita-convolver.so.3()(64bit)
    lv2
    rtld(GNU_HASH)

lv2-ir-plugins-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
lv2-ir-plugins:
    lv2-ir-plugins
    lv2-ir-plugins(x86-64)

lv2-ir-plugins-debuginfo:
    lv2-ir-plugins-debuginfo
    lv2-ir-plugins-debuginfo(x86-64)



Unversioned so-files
--------------------
lv2-ir-plugins: /usr/lib64/lv2/ir.lv2/ir.so
lv2-ir-plugins: /usr/lib64/lv2/ir.lv2/ir_gui.so

Source checksums
----------------
https://github.com/tomszilagyi/ir.lv2/archive/1.3.3.tar.gz#/ir.lv2-1.3.3.tar.gz :
  CHECKSUM(SHA256) this package     : fff1ca05715fed8f049a26003bad1b3fc378f8a2b25af73981eafe99568fda0c
  CHECKSUM(SHA256) upstream package : fff1ca05715fed8f049a26003bad1b3fc378f8a2b25af73981eafe99568fda0c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1374510
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 Gwyn Ciesla 2017-01-23 14:52:49 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lv2-ir-plugins

Comment 11 Fedora Update System 2017-01-23 18:04:47 UTC
lv2-ir-plugins-1.3.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc1534fb7d

Comment 12 Fedora Update System 2017-01-28 19:18:47 UTC
lv2-ir-plugins-1.3.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc1534fb7d

Comment 13 Fedora Update System 2017-02-05 20:20:20 UTC
lv2-ir-plugins-1.3.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.